$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2023.8.0/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2023.8.0/cloudflared-windows-amd64.exe'

  checksum      = '20D8B2518480479D2BEEBA84A2BA0B1A25699FC96834A19744A0585AC6A71E20'
  checksumType  = 'sha256'
  checksum64    = '6B69E20619C6CBC9F29827B11E61BF8954C38373D69ADD1D21955A92BA38DCED'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
